CALIBRE-DEBUG(1)

NAME
calibre-debug - calibre-debug

calibre-debug [alternativer]

Various command line interfaces useful for debugging calibre. With no options, this command starts an embedded Python interpreter. You can also run the main calibre GUI, the calibre viewer and the calibre editor in debug mode.

It also contains interfaces to various bits of calibre that do not have dedicated command line tools, such as font subsetting, the E-book diff tool and so on.

You can also use calibre-debug to run standalone scripts. To do that use it like this: calibre-debug myscript.py -- --option1 --option2 file1 file2 ...

Everything after the -- is passed to the script.

Whenever you pass arguments to calibre-debug that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

[ALTERNATIVER]

--add-simple-plugin
    Legg til en enkel tilleggsmodul (f.eks. en tilleggsmodul som består av kun en .py fil), ved å spesifisere filsti til py-filen som inneholder koden til tillegsmodulen.

--command, -c
    Run Python code.

--debug-device-driver, -d
    Feilsøking av enhetsgjenkjenning

--default-programs
    (Av)registrer calibre fra Windows standardprogrammer. --default-programs = (register|unregister)

--diff
    Kjør calibres forskjellsverktøy. For eksempel: calibre-debug --diff fil1 fil2

--edit-book, -t
    Launch the calibre "Edit book" tool in debug mode.

--exec-file, -e
    Run the Python code in file.

--explode-book, -x
    Explode the book into the specified directory. Usage: -x file.epub output_dir Exports the book as a collection of HTML files and metadata, which you can edit using standard HTML editing tools. Works with EPUB, AZW3, HTMLZ and DOCX files.

--export-all-calibre-data
    Export all calibre data (books/settings/plugins). Normally, you will be asked for the export dir and the libraries to export. You can also specify them as command line arguments to skip the questions. Use absolute paths for the export directory and libraries. The special keyword "all" can be used to export all libraries.

--gui, -g
    Kjør GUI med feilsøking aktivert. Feilsøkingsutdataen er printet til stdout og stderr.

--gui-debug
    Kjør GUI med et feilsøkings konsoll med logging til spesifisert bane. Bare for internt bruk, bruk -g for å kjøre GUI i feilsøkingsmodus.

--help, -h
    show this help message and exit

--implode-book, -i
    Implode a previously exploded book. Usage: -i output_dir file.epub Imports the book from the files in output_dir which must have been created by a previous call to --explode-book. Be sure to specify the same file type as was used when exploding.

--import-calibre-data
    Import previously exported calibre data

--inspect-mobi, -m
    Inspiser MOBI fil(ene) ved angitt bane(e).

--paths
    Skriv ut filstier nødvendige for å konfigurere calibre miljø

--reinitialize-db
    Re-initsialisere sqlite calibre database og spesifiser filsti. Nyttig til recover ved korrupt db.

--run-plugin, -r
    Kjør et tillegg som tilbyr et kommandolinjegrensensnitt. For eksempel: calibre-debug -r "Add Books" -- file1 --option1 Allter etter -- vil bli sendt til tillegget som argumenter.

--shutdown-running-calibre, -s
    På grunn av en kjørende instans av calibre, hvis noen, ikke kunne lukkes. Noter deg at hvis det er kjørende jobber, vil disse stille avsluttes, så bruk den med forsiktighet.

--subset-font, -f
    Delmengde av spesifisert font. Bruk -- etter dette alternativet for å sende alterantivet til programmet for fontens underinnstillinger.

--test-build
    Test binære moduler i bygget

--version
    show program's version number and exit

--viewer, -w
    Run the E-book viewer in debug mode

AUTHOR
Kovid Goyal

COPYRIGHT
Kovid Goyal